## Visualizing Intervor results under VMD
## Installation:
##
##  1.add  the following line in loadplugins.tcl:
##    vmd_install_extension fast_load fast_load     "Visualization/Fast load"    
##
## 2. Create the directory $VMD_DIRECTORY/plugins/noarch/tcl/fast_load1.0
## and copy the two files fast_load.tcl and  pkgIndex.tcl into it






package provide fast_load 1.0

namespace eval ::fast_load:: {}
 
proc ::fast_load::draw_interface {} {
	variable w

    frame $w.entry -width 500 -height 345 -relief flat -bd 0 -background #c0c0d0 
    pack $w.entry -in $w -side top -padx 0 -expand yes -fill both 
    label $w.entry.label -text "VMD File :" -background #c0c0d0 
    place  $w.entry.label -relx 0.1 -y 10
    entry $w.entry.filename -textvariable ::fast_load::Filename -width 34 -background #ffe0ff -disabledbackground #ffe0ff -highlightbackground #c0c0d0
    place  $w.entry.filename -x 10 -y 35
    button $w.entry.change -text "Load" -command ::fast_load::ChangeFilename
    place $w.entry.change -relx 0.75 -y 33   
    button $w.entry.run -text "Run" -command ::fast_load::RunFilename
    place $w.entry.run -relx 0.90 -y 33   
    }
    
proc ::fast_load::RunFilename {} {
   set dataFile [open $::fast_load::Filename r]
   while {! [eof $dataFile] } {
      gets $dataFile curLine
      eval $curLine 
   }
}

proc ::fast_load::ChangeFilename {} {
    global types   
    set types {
        {"VMD Files"     {.out_vmd .vmd}    }
        {"All files"            *}  }
    
    set filename [tk_getOpenFile -filetypes $types -parent . -title "Choose file" ]
    if {[string length filename] > 0} {
	set fast_load::Filename $filename }
    
}

proc fast_load { } {
    namespace eval ::fast_load {
	variable w
	global vmd_frame
	
	# If already initialized, just turn on
	if { [winfo exists .fastload] } {
	    wm deiconify $w
	    return
	}
	
	set w [toplevel ".fastload"]
#	menu tk add intervor $w
	wm title $w "VMD FastLoad"
	wm geometry $w 500x100+0+0
	wm resizable $w 1 1
	variable w
	draw_interface
    }
}
